package mock

import (
	"net/http"
	"net/http/httptest"
)

// ServerMock for mock http requests
func ServerMock(h http.HandlerFunc) *httptest.Server {
	handler := http.NewServeMux()
	handler.HandleFunc("/", h)

	srv := httptest.NewServer(handler)

	return srv
}
